Jump to content
Luke

OpenSUSE

Recommended Posts

bobbybah

Hi Guys,

 

I just set my Emby on Open SuSe Leap 42.1 but I am having a trouble.

I have my stuff organized by folders as follow:

 

Movie

         Season 1

             Episode 1

             Episode 2

             Episode N

 

         Season 2

             Episode 1

             Episode 2

             Episode N

 

 

At the web client I can see all the episodes in to a list instead of showing me them as folder and then another for season an after that the episodes

Before this installation for short time I had it on Fedora 23 and it was organized by folder

 

Please let me how to set it correctly.

 

I love SuSe and I don't want to go back to Fedora just for that.

 

Thank you!

Share this post


Link to post
Share on other sites
Luke

Hi, welcome. Can you show a screenshow that demonstrates the issue? thanks.

Share this post


Link to post
Share on other sites
bobbybah

Hi!

 

Here it is.

All Poirot movies mus be under a subfolder

 

 

56c0d3677f47e_Untitled.jpg

Edited by bobbybah

Share this post


Link to post
Share on other sites
Luke

sounds like perhaps you set the content type of the tv library to something other than tv.

Share this post


Link to post
Share on other sites
bobbybah

It was the Library configuration but instead of TV i put Music video and it worked fine.

 

Thanks !

Share this post


Link to post
Share on other sites
Luke

well done :)

Share this post


Link to post
Share on other sites
bobbybah

Hi Guys,

 

My emby-server constantly freezes (the service is running but the web interface is not accessible). After daemon restart everything is OK for few hours.

I suspect that my Mono version is not fully compatible.

Do you have any requirements for Mono? Mine is 4.0.4.-1.8

 

Thanks!

Share this post


Link to post
Share on other sites
Luke

Hi Guys,

 

My emby-server constantly freezes (the service is running but the web interface is not accessible). After daemon restart everything is OK for few hours.

I suspect that my Mono version is not fully compatible.

Do you have any requirements for Mono? Mine is 4.0.4.-1.8

 

Thanks!

 

Hi, welcome. We recommend mono 4.2.3.4. I would suggest giving that a try. Thanks.

Share this post


Link to post
Share on other sites
Luke

For those using the dev and beta channels, we had some build issues over the last few days that prevented new updates from being published.

 

Thanks to help from @@fc7 we've tracked it down, and dev and beta updates have resumed as normal. The latest builds of Emby Server should be available shortly. 

 

The latest versions also include fixes for Mono 4.4. Please try it out and report your experience. Thanks.

Share this post


Link to post
Share on other sites
zombieagain

I'm realizing that using the beta was probably not the best choice for my main system. What are the steps to move to the stable release? I tried to just remove the beta and install the stable, but emby crashes after a few seconds...

Share this post


Link to post
Share on other sites
Luke

I'm realizing that using the beta was probably not the best choice for my main system. What are the steps to move to the stable release? I tried to just remove the beta and install the stable, but emby crashes after a few seconds...

 

We don't recommend switching between release channels. You will probably need a clean installation at this point. You may also be able to go back to beta and wait for the current issues to be resolved.

Share this post


Link to post
Share on other sites
zombieagain

Thanks Luke! I guess I'll wait, but if I decided to, how would I perform a clean installation?

Share this post


Link to post
Share on other sites
rlaxton

I wondering if there are plans for a 42.3 build?

Share this post


Link to post
Share on other sites
Luke

Just a heads up to anyone running an Emby Server beta package from OBS. In the next week or two we will be retiring the OBS beta channel.

 

Our website download page has been updated with beta install instructions:

 

https://emby.media/download

 

At your convenience it is recommended that you switch over to the new installation process as we will no longer be publishing betas to OBS. 

 

If you're running a non-beta (stable) package from OBS, you can continue to do so for the time being.

 

Thanks !

Share this post


Link to post
Share on other sites
Luke

Hi!, I'm currently happily running Emby on openSUSE 42.2 and would like to upgrade to 42.3 but there is no repository for that version (released on July, 2017). Would it be possible to enable it to be built?

 

Reference:

http://download.opensuse.org/repositories/home:/emby/

 

Hi @@cyruspy, we actually have a new installation process now, which you can learn about on our website:

https://emby.media/download

 

As such, we won't be doing any new development on our opensuse packages, although we are continuing to push new emby server updates in order to allow you to stay on it and avoid forcing you to switch. But in your case you may need to switch, and that will require uninstalling and then following the new installation process. There are numerous benefits, such as all dependencies being self-contained, the mono runtime has been dropped in favor of the newer and faster Microsoft .NET Core runtime, and others.

Share this post


Link to post
Share on other sites
cyruspy

Wondering what was wrong with OBS, any legal issues to host MS .NET runtime on it?. Going away from repositories, should each upgrade be a reinstallation?

Share this post


Link to post
Share on other sites
Luke

Wondering what was wrong with OBS, any legal issues to host MS .NET runtime on it?. Going away from repositories, should each upgrade be a reinstallation?

 

No issues with repositories in general but we just haven't gotten to that yet with the new packages. We are currently more focused on rolling them out to as many platforms as possible first. In regards to OBS, we've had issues with downtime in the past that prevent users from being able to install the software. In fairness, OBS has been much more stable over the last 6-9 months but when it did happen in the past it was painful for us.

Share this post


Link to post
Share on other sites
Luke

And no, each update would just be applied over the top of the previous version, so it wouldn't be a new installation.

Share this post


Link to post
Share on other sites
4ndreas

My emby server from http://download.opensuse.org/repositories/home:/emby is running flawlessly (thanks for this great program!) but as this version is deprecated I tried to switch to the new version on https://emby.media/download.

This is how I tried to change server version:

- stopped emby-server

- removed emby-server, embymagick, libembysqlite3-0

- installed emby-server-rpm_3.4.1.0_x86_64.rpm

- started emby with "systemctl start emby-server.service"

 

I get this error and can't find any help gooleing it:

 

Jul 16 09:02:02 pcah2 systemd[1]: Started Emby Server is a personal media server with apps on just about every device..
Jul 16 09:02:02 pcah2 emby-server[22310]: Assert Failure
Jul 16 09:02:02 pcah2 emby-server[22310]: Expression: [Recursive resource lookup bug]
Jul 16 09:02:02 pcah2 emby-server[22310]: Description: Infinite recursion during resource lookup within System.Private.CoreLib.  This may be a bug in System.Private.CoreLib, or potentially in certain extensibility points such as assembly resolve events or CultureInfo names.  Resource name: Arg_ExternalException
Jul 16 09:02:02 pcah2 emby-server[22310]: Stack Trace:
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.SR.InternalGetResourceString(String key)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.SR.GetResourceString(String resourceKey, String defaultString)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CompareInfo.InitSort(CultureInfo culture)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureInfo.get_CompareInfo()
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.String.IndexOf(String value, Int32 startIndex, Int32 count, StringComparison comparisonType)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureData.InitCultureData()
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureData.CreateCultureData(String cultureName, Boolean useUserOverride)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureData.GetCultureData(String cultureName, Boolean useUserOverride)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureInfo.InitializeFromName(String name, Boolean useUserOverride)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureInfo.GetCultureInfoHelper(Int32 lcid, String name, String altName)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureInfo.GetCultureInfo(String name)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Resources.ManifestBasedResourceGroveler.GetNeutralResourcesLanguage(Assembly a, UltimateResourceFallbackLocation& fallbackLocation)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Resources.ResourceManager.CommonAssemblyInit()
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Resources.ResourceManager..ctor(Type resourceSource)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.SR.InternalGetResourceString(String key)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.SR.GetResourceString(String resourceKey, String defaultString)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CompareInfo.InitSort(CultureInfo culture)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.Globalization.CultureInfo.get_CompareInfo()
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.StringComparer..cctor()
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.AppDomainSetup.SetCompatibilitySwitches(IEnumerable`1 switches)
Jul 16 09:02:02 pcah2 emby-server[22310]:    at System.AppDomain.PrepareDataForSetup(String friendlyName, AppDomainSetup setup, Evidence providedSecurityInfo, Evidence creatorsSecurityInfo, IntPtr parentSecurityDescriptor, String sandboxName, String[] propertyNames, String[] propertyValues)
Jul 16 09:02:02 pcah2 systemd[1]: emby-server.service: Main process exited, code=exited, status=35/n/a
Jul 16 09:02:02 pcah2 systemd[1]: emby-server.service: Failed with result 'exit-code'.
 

 

 

Regards,

4ndreas

 

System: OpenSuse tumbleweed (20180712), 64bit x86

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...